import QtQuick 2.6
import org.kde.kirigami 2.4 as Kirigami
import QtQuick.Controls 2.0 as Controls
import QtQuick.Layouts 1.12 as Layouts

Kirigami.ApplicationWindow {
    id: root

    title: "QiFlora"

    pageStack.initialPage: mainPageComponent

    Component {
        id: mainPageComponent

        Kirigami.ScrollablePage {
            mainAction: Kirigami.Action {
                    iconName: "view-refresh"
                    text: i18n("Query Device")
            }
            title: "Monitor"
            
            Component.onCompleted: {
                monitorTypes.append({"chartType": "temperature", "title": i18n("Temperature"), "icon": "filename-bpm-amarok"});
                monitorTypes.append({"chartType": "moisture", "title": i18n("Moisture"), "icon": "colors-chromablue"});
                monitorTypes.append({"chartType": "conductivity", "title": i18n("Conductivity"), "icon": "quickopen"});
                monitorTypes.append({"chartType": "brightness", "title": i18n("Brightness"), "icon": "contrast"});
            }

            Kirigami.CardsListView {
                id: monitorView
                model: ListModel {
                    id: monitorTypes
                }
                
                delegate: Kirigami.Card {
                    id: card
                    banner {
                        title: model.title
                        titleIcon: model.icon
                        titleLevel: 2
                    }
                    header: Row {
                        layoutDirection: Qt.RightToLeft
                        topPadding: 10.0
                        rightPadding: 10.0
                        Layouts.ColumnLayout {
                            Kirigami.Heading {
                                Layouts.Layout.alignment: Qt.AlignCenter
                                level: 4
                                text: "Last Measured"
                            }
                            Kirigami.Heading {
                                Layouts.Layout.alignment: Qt.AlignCenter
                                level: 3
                                text: "40" //TODO: replace
                            }
                        }
                    }
                    contentItem: Controls.Label {
                            wrapMode: Text.WordWrap
                            text: model.chartType
                        }
                }
            }
        }
    }
}
